Subject: Re: git p4 clone - exclude file types

From: Luke Diamand <[email-masked]>
Date: Thu, 21 May 2015 22:49:56 +0100

On 21/05/15 21:49, FusionX86 wrote:
> I thought about that, but no. The box I'm running git-p4 on has the
> following specs:
>
> CentOS 6.6 64bit
> 1 CPU
> 8GB RAM
> 8GB Swap

Can you post the output, with "-v" added?

$ git-p4 clone //depot/some/dir -v

Also, what is your p4d server version?

$ p4 info

A quick test just cloning a repo with 4 files of 256MB each seems fine, 
FWIW.

>
> It is also on the same physical network as the Perforce server. I
> remember seeing someone else complain about this, but I can't find the
> article/blog now.
>
>
> On Wed, May 20, 2015 at 12:49 AM, Luke Diamand <[email-masked]> wrote:
>> On 19/05/15 08:38, FusionX86 wrote:
>>>
>>> Thanks Luke, looks like this does work for excluding files when using
>>> git p4. Great!
>>>
>>> Unrelated question...
>>>
>>> While using git p4 I have noticed that most of the time the clone/sync
>>> operations hang and I have to keep retrying. The Perforce depot I'm
>>> currently working with is larger than I'd like and has a lot of binary
>>> files which might be the cause. The point it gets to in the clone/sync
>>> is always random and doesn't ever stop on the same files or file
>>> types. Sometimes it'll die soon after starting, but other times it
>>> almost completes and then dies. If I keep retrying, it will eventually
>>> complete. I haven't been able to narrow down the cause, but I do
>>> notice that the git-fast-import stops right as the clone/sync dies.
>>> I'm wondering if git is overwhelmed and terminates. Have you ever seen
>>> this? Any suggestions?
>>
>>
>> Running out of memory?
>>
>> Is this on a 32bit or 64bit system? How much virtual memory do you have?
>>
>> Luke
>>